# This file was automatically created by FeynRules 2.0.31
# Mathematica version: 10.0 for Mac OS X x86 (64-bit) (December 4, 2014)
# Date: Fri 27 Feb 2015 10:08:03


from object_library import all_lorentz, Lorentz

from function_library import complexconjugate, re, im, csc, sec, acsc, asec, cot


UUS2 = Lorentz(name = 'UUS2',
               spins = [ -1, -1, 1 ],
               structure = '1')

UUV2 = Lorentz(name = 'UUV2',
               spins = [ -1, -1, 3 ],
               structure = 'P(3,2) + P(3,3)')

SSS2 = Lorentz(name = 'SSS2',
               spins = [ 1, 1, 1 ],
               structure = '1')

FFS5 = Lorentz(name = 'FFS5',
               spins = [ 2, 2, 1 ],
               structure = 'Gamma5(2,1)')

FFS6 = Lorentz(name = 'FFS6',
               spins = [ 2, 2, 1 ],
               structure = 'Identity(2,1)')

FFS7 = Lorentz(name = 'FFS7',
               spins = [ 2, 2, 1 ],
               structure = 'ProjM(2,1)')

FFS8 = Lorentz(name = 'FFS8',
               spins = [ 2, 2, 1 ],
               structure = 'ProjP(2,1)')

FFV6 = Lorentz(name = 'FFV6',
               spins = [ 2, 2, 3 ],
               structure = 'Gamma(3,2,1)')

FFV7 = Lorentz(name = 'FFV7',
               spins = [ 2, 2, 3 ],
               structure = 'Gamma(3,2,-1)*ProjM(-1,1)')

FFV8 = Lorentz(name = 'FFV8',
               spins = [ 2, 2, 3 ],
               structure = 'Gamma(3,2,-1)*ProjM(-1,1) - 2*Gamma(3,2,-1)*ProjP(-1,1)')

FFV9 = Lorentz(name = 'FFV9',
               spins = [ 2, 2, 3 ],
               structure = 'Gamma(3,2,-1)*ProjM(-1,1) + 2*Gamma(3,2,-1)*ProjP(-1,1)')

FFV10 = Lorentz(name = 'FFV10',
                spins = [ 2, 2, 3 ],
                structure = 'Gamma(3,2,-1)*ProjM(-1,1) + 4*Gamma(3,2,-1)*ProjP(-1,1)')

VSS2 = Lorentz(name = 'VSS2',
               spins = [ 3, 1, 1 ],
               structure = 'P(1,2) - P(1,3)')

VVS2 = Lorentz(name = 'VVS2',
               spins = [ 3, 3, 1 ],
               structure = 'Metric(1,2)')

VVV2 = Lorentz(name = 'VVV2',
               spins = [ 3, 3, 3 ],
               structure = 'P(3,1)*Metric(1,2) - P(3,2)*Metric(1,2) - P(2,1)*Metric(1,3) + P(2,3)*Metric(1,3) + P(1,2)*Metric(2,3) - P(1,3)*Metric(2,3)')

SSSS2 = Lorentz(name = 'SSSS2',
                spins = [ 1, 1, 1, 1 ],
                structure = '1')

FFFF34 = Lorentz(name = 'FFFF34',
                 spins = [ 2, 2, 2, 2 ],
                 structure = 'Gamma(-1,2,1)*Gamma(-1,4,3)')

FFFF35 = Lorentz(name = 'FFFF35',
                 spins = [ 2, 2, 2, 2 ],
                 structure = 'Gamma(-2,-4,3)*Gamma(-2,-3,1)*Gamma(-1,2,-3)*Gamma(-1,4,-4)')

FFFF36 = Lorentz(name = 'FFFF36',
                 spins = [ 2, 2, 2, 2 ],
                 structure = 'Gamma(-1,-2,3)*Gamma(-1,4,-2)*Identity(2,1)')

FFFF37 = Lorentz(name = 'FFFF37',
                 spins = [ 2, 2, 2, 2 ],
                 structure = 'Gamma(-1,-2,1)*Gamma(-1,2,-2)*Identity(4,3)')

FFFF38 = Lorentz(name = 'FFFF38',
                 spins = [ 2, 2, 2, 2 ],
                 structure = 'Identity(2,1)*Identity(4,3)')

FFFF39 = Lorentz(name = 'FFFF39',
                 spins = [ 2, 2, 2, 2 ],
                 structure = 'Gamma(-1,-2,3)*Gamma(-1,4,-2)*ProjM(2,1)')

FFFF40 = Lorentz(name = 'FFFF40',
                 spins = [ 2, 2, 2, 2 ],
                 structure = 'Identity(4,3)*ProjM(2,1)')

FFFF41 = Lorentz(name = 'FFFF41',
                 spins = [ 2, 2, 2, 2 ],
                 structure = 'Gamma(-1,-2,1)*Gamma(-1,2,-2)*ProjM(4,3)')

FFFF42 = Lorentz(name = 'FFFF42',
                 spins = [ 2, 2, 2, 2 ],
                 structure = 'Identity(2,1)*ProjM(4,3)')

FFFF43 = Lorentz(name = 'FFFF43',
                 spins = [ 2, 2, 2, 2 ],
                 structure = 'ProjM(2,1)*ProjM(4,3)')

FFFF44 = Lorentz(name = 'FFFF44',
                 spins = [ 2, 2, 2, 2 ],
                 structure = 'Gamma(-1,2,-2)*Gamma(-1,4,3)*ProjM(-2,1)')

FFFF45 = Lorentz(name = 'FFFF45',
                 spins = [ 2, 2, 2, 2 ],
                 structure = 'Gamma(-1,-3,-2)*Gamma(-1,2,-3)*Identity(4,3)*ProjM(-2,1)')

FFFF46 = Lorentz(name = 'FFFF46',
                 spins = [ 2, 2, 2, 2 ],
                 structure = 'Gamma(-1,2,1)*Gamma(-1,4,-2)*ProjM(-2,3)')

FFFF47 = Lorentz(name = 'FFFF47',
                 spins = [ 2, 2, 2, 2 ],
                 structure = 'Gamma(-1,-3,-2)*Gamma(-1,4,-3)*Identity(2,1)*ProjM(-2,3)')

FFFF48 = Lorentz(name = 'FFFF48',
                 spins = [ 2, 2, 2, 2 ],
                 structure = 'Gamma(-1,2,-2)*Gamma(-1,4,-3)*ProjM(-3,3)*ProjM(-2,1)')

FFFF49 = Lorentz(name = 'FFFF49',
                 spins = [ 2, 2, 2, 2 ],
                 structure = 'Gamma(-2,-5,-4)*Gamma(-2,-3,3)*Gamma(-1,2,-5)*Gamma(-1,4,-3)*ProjM(-4,1)')

FFFF50 = Lorentz(name = 'FFFF50',
                 spins = [ 2, 2, 2, 2 ],
                 structure = 'Gamma(-2,-5,-4)*Gamma(-2,-3,1)*Gamma(-1,2,-3)*Gamma(-1,4,-5)*ProjM(-4,3)')

FFFF51 = Lorentz(name = 'FFFF51',
                 spins = [ 2, 2, 2, 2 ],
                 structure = 'Gamma(-1,-2,3)*Gamma(-1,4,-2)*ProjP(2,1)')

FFFF52 = Lorentz(name = 'FFFF52',
                 spins = [ 2, 2, 2, 2 ],
                 structure = 'Identity(4,3)*ProjP(2,1)')

FFFF53 = Lorentz(name = 'FFFF53',
                 spins = [ 2, 2, 2, 2 ],
                 structure = 'ProjM(4,3)*ProjP(2,1)')

FFFF54 = Lorentz(name = 'FFFF54',
                 spins = [ 2, 2, 2, 2 ],
                 structure = 'Gamma(-1,-2,1)*Gamma(-1,2,-2)*ProjP(4,3)')

FFFF55 = Lorentz(name = 'FFFF55',
                 spins = [ 2, 2, 2, 2 ],
                 structure = 'Identity(2,1)*ProjP(4,3)')

FFFF56 = Lorentz(name = 'FFFF56',
                 spins = [ 2, 2, 2, 2 ],
                 structure = 'ProjM(2,1)*ProjP(4,3)')

FFFF57 = Lorentz(name = 'FFFF57',
                 spins = [ 2, 2, 2, 2 ],
                 structure = 'ProjP(2,1)*ProjP(4,3)')

FFFF58 = Lorentz(name = 'FFFF58',
                 spins = [ 2, 2, 2, 2 ],
                 structure = 'Gamma(-1,2,-2)*Gamma(-1,4,3)*ProjP(-2,1)')

FFFF59 = Lorentz(name = 'FFFF59',
                 spins = [ 2, 2, 2, 2 ],
                 structure = 'Gamma(-1,-3,-2)*Gamma(-1,2,-3)*Identity(4,3)*ProjP(-2,1)')

FFFF60 = Lorentz(name = 'FFFF60',
                 spins = [ 2, 2, 2, 2 ],
                 structure = 'Gamma(-1,2,1)*Gamma(-1,4,-2)*ProjP(-2,3)')

FFFF61 = Lorentz(name = 'FFFF61',
                 spins = [ 2, 2, 2, 2 ],
                 structure = 'Gamma(-1,-3,-2)*Gamma(-1,4,-3)*Identity(2,1)*ProjP(-2,3)')

FFFF62 = Lorentz(name = 'FFFF62',
                 spins = [ 2, 2, 2, 2 ],
                 structure = 'Gamma(-1,2,-3)*Gamma(-1,4,-2)*ProjM(-2,3)*ProjP(-3,1)')

FFFF63 = Lorentz(name = 'FFFF63',
                 spins = [ 2, 2, 2, 2 ],
                 structure = 'Gamma(-1,2,-2)*Gamma(-1,4,-3)*ProjM(-2,1)*ProjP(-3,3)')

FFFF64 = Lorentz(name = 'FFFF64',
                 spins = [ 2, 2, 2, 2 ],
                 structure = 'Gamma(-1,2,-2)*Gamma(-1,4,-3)*ProjP(-3,3)*ProjP(-2,1)')

FFFF65 = Lorentz(name = 'FFFF65',
                 spins = [ 2, 2, 2, 2 ],
                 structure = 'Gamma(-2,-5,-4)*Gamma(-2,-3,3)*Gamma(-1,2,-5)*Gamma(-1,4,-3)*ProjP(-4,1)')

FFFF66 = Lorentz(name = 'FFFF66',
                 spins = [ 2, 2, 2, 2 ],
                 structure = 'Gamma(-2,-5,-4)*Gamma(-2,-3,1)*Gamma(-1,2,-3)*Gamma(-1,4,-5)*ProjP(-4,3)')

FFVV5 = Lorentz(name = 'FFVV5',
                spins = [ 2, 2, 3, 3 ],
                structure = '-(Epsilon(3,4,-1,-2)*P(-2,4)*P(-1,3)*Identity(2,1)) + Epsilon(3,4,-1,-2)*P(-2,3)*P(-1,4)*Identity(2,1)')

FFVV6 = Lorentz(name = 'FFVV6',
                spins = [ 2, 2, 3, 3 ],
                structure = 'P(3,4)*P(4,3)*Identity(2,1) - P(-1,3)*P(-1,4)*Identity(2,1)*Metric(3,4)')

FFVV7 = Lorentz(name = 'FFVV7',
                spins = [ 2, 2, 3, 3 ],
                structure = '-(Epsilon(3,4,-1,-2)*P(-2,4)*P(-1,3)*ProjM(2,1)) + Epsilon(3,4,-1,-2)*P(-2,3)*P(-1,4)*ProjM(2,1) + Epsilon(3,4,-1,-2)*P(-2,4)*P(-1,3)*ProjP(2,1) - Epsilon(3,4,-1,-2)*P(-2,3)*P(-1,4)*ProjP(2,1)')

FFVV8 = Lorentz(name = 'FFVV8',
                spins = [ 2, 2, 3, 3 ],
                structure = 'P(3,4)*P(4,3)*ProjM(2,1) - P(-1,3)*P(-1,4)*Metric(3,4)*ProjM(2,1) - P(3,4)*P(4,3)*ProjP(2,1) + P(-1,3)*P(-1,4)*Metric(3,4)*ProjP(2,1)')

VVSS2 = Lorentz(name = 'VVSS2',
                spins = [ 3, 3, 1, 1 ],
                structure = 'Metric(1,2)')

VVVV6 = Lorentz(name = 'VVVV6',
                spins = [ 3, 3, 3, 3 ],
                structure = 'Metric(1,4)*Metric(2,3) - Metric(1,3)*Metric(2,4)')

VVVV7 = Lorentz(name = 'VVVV7',
                spins = [ 3, 3, 3, 3 ],
                structure = 'Metric(1,4)*Metric(2,3) + Metric(1,3)*Metric(2,4) - 2*Metric(1,2)*Metric(3,4)')

VVVV8 = Lorentz(name = 'VVVV8',
                spins = [ 3, 3, 3, 3 ],
                structure = 'Metric(1,4)*Metric(2,3) - Metric(1,2)*Metric(3,4)')

VVVV9 = Lorentz(name = 'VVVV9',
                spins = [ 3, 3, 3, 3 ],
                structure = 'Metric(1,3)*Metric(2,4) - Metric(1,2)*Metric(3,4)')

VVVV10 = Lorentz(name = 'VVVV10',
                 spins = [ 3, 3, 3, 3 ],
                 structure = 'Metric(1,4)*Metric(2,3) - (Metric(1,3)*Metric(2,4))/2. - (Metric(1,2)*Metric(3,4))/2.')

FFVVV5 = Lorentz(name = 'FFVVV5',
                 spins = [ 2, 2, 3, 3, 3 ],
                 structure = '-4*Epsilon(3,4,5,-1)*P(-1,3)*Identity(2,1) - 4*Epsilon(3,4,5,-1)*P(-1,4)*Identity(2,1) - 4*Epsilon(3,4,5,-1)*P(-1,5)*Identity(2,1)')

FFVVV6 = Lorentz(name = 'FFVVV6',
                 spins = [ 2, 2, 3, 3, 3 ],
                 structure = 'P(5,3)*Identity(2,1)*Metric(3,4) - P(5,4)*Identity(2,1)*Metric(3,4) - P(4,3)*Identity(2,1)*Metric(3,5) + P(4,5)*Identity(2,1)*Metric(3,5) + P(3,4)*Identity(2,1)*Metric(4,5) - P(3,5)*Identity(2,1)*Metric(4,5)')

FFVVV7 = Lorentz(name = 'FFVVV7',
                 spins = [ 2, 2, 3, 3, 3 ],
                 structure = '-4*Epsilon(3,4,5,-1)*P(-1,3)*ProjM(2,1) - 4*Epsilon(3,4,5,-1)*P(-1,4)*ProjM(2,1) - 4*Epsilon(3,4,5,-1)*P(-1,5)*ProjM(2,1) + 4*Epsilon(3,4,5,-1)*P(-1,3)*ProjP(2,1) + 4*Epsilon(3,4,5,-1)*P(-1,4)*ProjP(2,1) + 4*Epsilon(3,4,5,-1)*P(-1,5)*ProjP(2,1)')

FFVVV8 = Lorentz(name = 'FFVVV8',
                 spins = [ 2, 2, 3, 3, 3 ],
                 structure = 'P(5,3)*Metric(3,4)*ProjM(2,1) - P(5,4)*Metric(3,4)*ProjM(2,1) - P(4,3)*Metric(3,5)*ProjM(2,1) + P(4,5)*Metric(3,5)*ProjM(2,1) + P(3,4)*Metric(4,5)*ProjM(2,1) - P(3,5)*Metric(4,5)*ProjM(2,1) - P(5,3)*Metric(3,4)*ProjP(2,1) + P(5,4)*Metric(3,4)*ProjP(2,1) + P(4,3)*Metric(3,5)*ProjP(2,1) - P(4,5)*Metric(3,5)*ProjP(2,1) - P(3,4)*Metric(4,5)*ProjP(2,1) + P(3,5)*Metric(4,5)*ProjP(2,1)')

FFVVVV7 = Lorentz(name = 'FFVVVV7',
                  spins = [ 2, 2, 3, 3, 3, 3 ],
                  structure = 'Identity(2,1)*Metric(3,6)*Metric(4,5) - Identity(2,1)*Metric(3,5)*Metric(4,6)')

FFVVVV8 = Lorentz(name = 'FFVVVV8',
                  spins = [ 2, 2, 3, 3, 3, 3 ],
                  structure = 'Identity(2,1)*Metric(3,6)*Metric(4,5) - Identity(2,1)*Metric(3,4)*Metric(5,6)')

FFVVVV9 = Lorentz(name = 'FFVVVV9',
                  spins = [ 2, 2, 3, 3, 3, 3 ],
                  structure = 'Identity(2,1)*Metric(3,5)*Metric(4,6) - Identity(2,1)*Metric(3,4)*Metric(5,6)')

FFVVVV10 = Lorentz(name = 'FFVVVV10',
                   spins = [ 2, 2, 3, 3, 3, 3 ],
                   structure = 'Metric(3,6)*Metric(4,5)*ProjM(2,1) - Metric(3,5)*Metric(4,6)*ProjM(2,1) - Metric(3,6)*Metric(4,5)*ProjP(2,1) + Metric(3,5)*Metric(4,6)*ProjP(2,1)')

FFVVVV11 = Lorentz(name = 'FFVVVV11',
                   spins = [ 2, 2, 3, 3, 3, 3 ],
                   structure = 'Metric(3,6)*Metric(4,5)*ProjM(2,1) - Metric(3,4)*Metric(5,6)*ProjM(2,1) - Metric(3,6)*Metric(4,5)*ProjP(2,1) + Metric(3,4)*Metric(5,6)*ProjP(2,1)')

FFVVVV12 = Lorentz(name = 'FFVVVV12',
                   spins = [ 2, 2, 3, 3, 3, 3 ],
                   structure = 'Metric(3,5)*Metric(4,6)*ProjM(2,1) - Metric(3,4)*Metric(5,6)*ProjM(2,1) - Metric(3,5)*Metric(4,6)*ProjP(2,1) + Metric(3,4)*Metric(5,6)*ProjP(2,1)')

